/*
 * Class FORMAT_DOUBLE
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_119 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_119 [] = {0xFF01,237,118,0xFFFF};
static const EIF_TYPE_INDEX egt_2_119 [] = {0xFF01,118,0xFFFF};
static const EIF_TYPE_INDEX egt_3_119 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_119 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_119 [] = {0xFF01,118,0xFFFF};
static const EIF_TYPE_INDEX egt_6_119 [] = {0xFF01,118,0xFFFF};
static const EIF_TYPE_INDEX egt_7_119 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_119 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_119 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_119 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_119 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_119 [] = {0xFF01,118,0xFFFF};
static const EIF_TYPE_INDEX egt_13_119 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_14_119 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_15_119 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_16_119 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_17_119 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_18_119 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_19_119 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_20_119 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_21_119 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_119[] = {
	{EIF_GENERIC(NULL), 1614, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_119), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_119), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_119), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_119), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_119), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_119), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_119), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_119), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_119), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_119), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_119), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_119), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xED /*118*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_119), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 823, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 824, 4},
	{EIF_NON_GENERIC(0x019D /*206*/), 825, 12},
	{EIF_NON_GENERIC(0x0173 /*185*/), 826, 5},
	{EIF_NON_GENERIC(0x019D /*206*/), 827, 16},
	{EIF_NON_GENERIC(0x017F /*191*/), 828, 7},
	{EIF_NON_GENERIC(0x019D /*206*/), 829, 20},
	{EIF_GENERIC(egt_13_119), 830, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 831, 8},
	{EIF_NON_GENERIC(0x017F /*191*/), 832, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 833, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 834, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 835, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 836, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 837, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 838, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 839, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 840, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 841, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 842, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 843, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 844, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 845, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 846, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 847, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1626, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1627, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 850, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1628, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 852, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 853, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 854, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 855, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 856, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 857, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 858, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 859, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 860, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 861, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 862, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 863, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 864, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 865, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 866, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 867, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 868, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 869, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 870, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_119), 871, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 872, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 873, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 874, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 875, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 876, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 877, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 878, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 879, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_119), 880, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_119), 881, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 882, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_119), 883, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_119), 884, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1581, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1582, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1583, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1584, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1585, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1610, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1611, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1612, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1613, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1600, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1601, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1602, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1603, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1604, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1605, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1606, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1607, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1608, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1609, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1615, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1616, 9},
	{EIF_NON_GENERIC(0x019D /*206*/), 1617, 24},
	{EIF_NON_GENERIC(0x017F /*191*/), 1618, 10},
	{EIF_NON_GENERIC(0x017F /*191*/), 1619, 11},
	{EIF_NON_GENERIC(0x0173 /*185*/), 1620, 6},
	{EIF_GENERIC(NULL), 1621, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1622, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1623, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1624, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1625, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1629, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1630, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1631, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1632, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_119), 1633, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_119), 1634, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_119), 1635, 0xFFFFFFFF},
};
void Init119(void)
{
	IDSC(desc_119, 0, 118);
	IDSC(desc_119 + 1, 1, 118);
	IDSC(desc_119 + 32, 232, 118);
	IDSC(desc_119 + 94, 121, 118);
	IDSC(desc_119 + 99, 32, 118);
	IDSC(desc_119 + 113, 109, 118);
}


#ifdef __cplusplus
}
#endif
